<template>
  <div>
    <h1 class="mb-3">Almost there!</h1>
    <p class="mb-5">You’re one step away from your free medical consultation. Let’s finish creating your account so we
      can inform you about your treatment.</p>
    <div class="space-y-3 mb-2">
      <text-input
        label="Email Address"
        v-model="selected.email"
      />
      <text-input
        label="Create Password"
        v-model="selected.password"
      />
      <text-input
        label="Phone Number"
        v-model="selected.phone"
      />
    </div>
    <p class="mb-5 text-xs text-black">
      Just in case your doctor has any questions regarding your medical information.
    </p>
    <checkbox-input
      @input="handleCheckboxInput"
      :value="checkboxSelected"
      :input-value="true"
      class="mb-8"
      :transparent="true"
    >
      I’d like to hear about special offers, discounts and useful skincare information by emails and text.
    </checkbox-input>
    <common-btn
      text="Next"
      @click="nextStage"
      :disabled="Object.values(selected).some(item => !item)"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "AccountCreation5",
  watch: {
   selected: {
     handler(newVal) {
       this.setAnswer(this.answersKeys.ACCOUNT_CREATION, newVal, 'stage_5')
     },
     deep: true
   }
  },
  data() {
    return {
      selected: {
        email: null,
        password: null,
        phone: null
      },
      checkHandler: newVal => this.setAnswer(this.answersKeys.ACCOUNT_CREATION, newVal,'stage_5')
    }
  }
}
</script>

<style scoped>

</style>
